/* BOOTSTRAP 4 utilities that material lacks*/
//custom variables for bootstrap 4
@import 'variables';
// Imports functions, variables, and mixins that are needed by other Bootstrap files
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
// Import style reboot from bootstrap
// @import '~bootstrap/scss/reboot';
@import '~bootstrap/scss/utilities'; // add css utilities
@import '~bootstrap/scss/bootstrap-grid';
@import '~bootstrap/scss/tables';
@import 'reset';

/* MATERIAL IMPORTS*/
@import '~@angular/material/theming';
@import 'func/color';
@import 'mixin/typography';
@import 'shared/reset';
@import 'shared/mat-button.reset';
@import 'shared/typography';
@import 'shared/root';
@import 'shared/splash-screen';
@import 'shared/common-style.scss';

@include mat-core;
$theme: mat-light-theme($primary, $accent, $warn);

@include angular-material-theme($theme);
@include angular-material-typography($custom-typography); //overriding typography defaults
body {
  @include font(#{$h4}/ 1.429 $font--preferred); //body font size

  background: c(#ffffff, gallery);
}

html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
}

html {
  overflow-y: scroll;
}
